﻿using Infragistics.Documents.Excel;
using Infragistics.Windows.DataPresenter.ExcelExporter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace KB5970_SampleApp1
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        private DataPresenterExcelExporter exporter = new DataPresenterExcelExporter();

        public MainWindow()
        {
            InitializeComponent();
            exporter.ExportStarted += Exporter_ExportStarted;
        }

        private void Exporter_ExportStarted(object sender, ExportStartedEventArgs e)
        {
            e.CurrentWorksheet.PrintOptions.Header = "これはヘッダーです。";
            e.CurrentWorksheet.PrintOptions.Footer = "これはフッターです。";
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            exporter.ExportAsync(xamDataGrid1, "xamDataGrid1.xlsx", WorkbookFormat.Excel2007);
        }
    }
}
